// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "IdleState.h"

static StateAbstract* ptr;

// *************************************
// * Idle State: initialization method *
// *************************************
void IdleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->IsDTAllowed  = 0xFF;
     ptr->IsTPSAllowed = 0xFF;
     
     ptr->DefaultStateMethod = &IdleStateMethod          ;
     ptr->InterruptHandler   = &IdleStateInterruptHandler;
}

// ******************************
// * Idle State: default method *
// ******************************
static void IdleStateMethod( void* command ){
}

// ************************************
// * Idle State: event handler method *
// ************************************
static void IdleStateInterruptHandler( void* interruptId ){
}