// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "LeftAngleState.h"
static StateAbstract* ptr;
extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// *******************************************
// * Left Angle State: initialization method *
// *******************************************
void LeftAngleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->IsDTAllowed  = 0xFF;
     ptr->IsTPSAllowed = 0xFF;
     
     ptr->DefaultStateMethod = &LeftAngleStateMethod           ;
     ptr->InterruptHandler   = &LeftAngleStateInterruptHandler ;
}

// ************************************
// * Left Angle State: default method *
// ************************************
static void LeftAngleStateMethod( void* command ){
    ptr->IsDTAllowed = 0xFF;
    
    if(StepperMotor.AngleCounter == StepperMotor.LeftAnglePreset)
        ptr->IsDTAllowed = 0x00;
}

// ******************************************
// * Left Angle State: event handler method *
// ******************************************
static void LeftAngleStateInterruptHandler( void* interruptId ){
}