// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "RightAngleState.h"
static StateAbstract* ptr;
extern STEPPER_MOTOR_DATA_TYPE StepperMotor;

// ********************************************
// * Right Angle State: initialization method *
// ********************************************
void RightAngleStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->IsDTAllowed  = 0xFF;
     ptr->IsTPSAllowed = 0xFF;
     
     ptr->DefaultStateMethod = &RightAngleStateMethod           ;
     ptr->InterruptHandler   = &RightAngleStateInterruptHandler ;
}

// *************************************
// * Right Angle State: default method *
// *************************************
static void RightAngleStateMethod( void* command ){
    ptr->IsDTAllowed = 0xFF;

    if(StepperMotor.AngleCounter == StepperMotor.RightAnglePreset)
        ptr->IsDTAllowed = 0x00;
}

// *******************************************
// * Right Angle State: event handler method *
// *******************************************
static void RightAngleStateInterruptHandler( void* interruptId ){
}