// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "TimerState.h"

static StateAbstract* ptr;

// **********************************
// * Timer State: initialization method *
// **********************************
void TimerStateInitialization (void* ptrSa){
     ptr = (StateAbstract*)ptrSa;
     
     ptr->IsDTAllowed  = 0xFF;
     ptr->IsTPSAllowed = 0xFF;
     
     ptr->DefaultStateMethod = &TimerStateMethod           ;
     ptr->InterruptHandler   = &TimerStateInterruptHandler ;
}

// *******************************
// * Timer State: default method *
// *******************************
static void TimerStateMethod( void* command ){
    Delay_ms(200);
}

// *************************************
// * Timer State: event handler method *
// *************************************
static void TimerStateInterruptHandler( void* interruptId ){
}